using Godot;
using System;

public partial class enemy : CharacterBody2D
{
	public Vector2 velocity = new Vector2(150,0);
	
	public override void _Process(double delta)
	{
		var collision = MoveAndCollide(velocity * (float)delta);
		
		if (collision != null)
		{
			velocity = velocity.Bounce(collision.GetNormal());
		}
	}
		
	private void _on_area_2d_body_entered(Node2D body)
	{
		if (body.Name == "Player")
		{
			GetTree().ReloadCurrentScene();
		}
	}
}
